<launch>

	<arg name="sim" default="true" />
	<arg name="veh" default="RC" />
	<arg name="num" default="03" />
    <arg unless="$(arg sim)" name="car" value="$(arg veh)$(arg num)" />
    <arg if="$(arg sim)" name="car" value="$(arg veh)$(arg num)s" />
	<arg name="log" default="false" />
	<arg name="srv_mode" default="false" />
    <arg name="joy" default="false" />

    <!-- start the joystick drivers -->
    <include if="$(arg joy)" file="$(find raven_utils)/launch/joy.launch" />
    
	
	<env name="ROS_NAMESPACE" value="$(arg car)" />

    <node if="$(arg joy)" pkg="car_control" type="car_joy.py" name="car_joy" output="screen" />

    <!-- Start controller -->
    <node name="cntrl" pkg="car_control" type="car" output="screen" />

    <!-- Ensure RosBag is saving important data -->
    <node if="$(arg log)" pkg="rosbag" type="record" name="rosbag_record"
        args="-o /tmp/$(arg car)LogFile pose vel accel state carCmd" />
        
    <node if="$(arg log)" pkg="rosbag" type="record" name="rosbag_record_cmd"
        args="-o /tmp/$(arg car)Cmd carCmd" />

	<!-- Gains and on board parameters -->
	<rosparam file="$(find car_control)/param/$(arg veh).yaml" command="load" ns="$(arg car)" />
	<rosparam file="$(find car_control)/param/$(arg veh)$(arg num).yaml" command="load" ns="$(arg car)" />
        <rosparam if="$(arg sim)" file="$(find car_control)/param/$(arg veh)sim.yaml" command="load" ns="$(arg car)" />

    <!-- Load parameters for wifly's -->
    <rosparam command="delete" param="local_address" />
    <rosparam file="$(find raven_utils)/wifly_params.yaml" command="load" />
  
    <!-- Start sim if using simulated vehicle -->
    <node if="$(arg sim)" name="car_sim" pkg="car_sim" type="car_sim" output="screen" args="$(arg srv_mode)" />
  
</launch>

